Skip to main content
PATCH
Update payment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payment_id
string<uuid>
required

Payment ID

Body

application/json

Request to update a payment. Currently only supports cancelling a pending payment (one not yet executed, e.g. scheduled for a future effective_date) by setting status to SKIPPED.

status
enum<string>

Status of the autopay:

  • PENDING: Autopay is scheduled and waiting to be executed
  • EXECUTED: Autopay was successfully executed
  • SKIPPED: Autopay was skipped (e.g., no balance due)
  • FAILED: Autopay failed to execute
Available options:
PENDING,
EXECUTED,
SKIPPED,
FAILED

Response

Updated payment

Executed payment

description
string

User provided description for the payment schedule

error_details
object

Payment error details. It will be included only when status is ERROR

id
string<uuid>

Payment ID

metadata
object

User provided JSON format data for the payment schedule

payment_date
object
read-only
payment_instruction
object
payment_schedule_id
string<uuid>

ID of the payment schedule that executed this payment

status
enum<string>

Payment request status

Available options:
COMPLETED,
ERROR
transaction_id
string<uuid>

Transaction ID. It will be included only when status is COMPLETED